[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomDrawGrid.GetCheckBoxState

Gets the check box state for the cell at the specified coordinates.

## Declaration

Source position: grids.pas line 1428

`protected procedure TCustomDrawGrid.GetCheckBoxState(`
`const aCol: Integer;`
`const aRow: Integer;`
`var aState: TCheckBoxState`
`); virtual;`

## Arguments

`aCol` |  | Column number for the cell.
`aRow` |  | Row number for the cell.
`aState` |  | Check box state for the cell.

## Description

Signals the OnGetCheckboxState event handler (when assigned) to get the value in AState. Called from ToggleCheckbox and the private DrawCellCheckboxBitmaps method.

## See also

TCustomDrawGrid.OnGetCheckboxState |  | Event handler signalled to get the state for a check box cell.
TCustomDrawGrid.ToggleCheckbox |  | Toggles the state for a check box cell between the checked and unchecked values.